LINUX.ORG.RU

Стабильная версия проприетарного видео-драйвера nvidia 310.19

 , ,


0

2

Произошло обновление ветки R310 проприетарного видео-драйвера nvidia. Новая версия за номером 310.19 объявлена стабильной и является рекомендованной для повседневного использования. В ней поддерживается работа с последними версиями ядра Linux и графического X-сервера. Кроме того, драйвер доступен для других UNIX-подобных ОС.

Далее об изменениях.

  • Добавлена поддержка OpenGL 4.3.
  • Прекращена поддержка карт серий 6xxx и 7xxx (владельцам этих карт следует использовать драйвер ветки R304).
  • Добавлена опция конфигурирования X-сервера UseHotplugEvents, позволяющая подавлять события RandR при добавлении или удалении дисплеев с интерфейсом, отличным от DisplayPort.
  • Изменения в утилите nvidia-settings:
    • обеспечена возможность настройки стереоизображения в случае, если этот режим задан в конфигурационном файле X-сервера;
    • добавлена поддержка настройки ViewPortIn и ViewPortOut для дисплеев;
    • исправлен механизм учёта метарежима (MetaMode) при изменении параметров дисплея на вкладке X Server Display Configuration;
    • добавлена поддержка настройки поворота и отражения для каждого дисплея.
  • Реализованы обходные пути к двум ошибкам в плагине Adobe Flash путём специальных патчей к поставляемой в составе драйвера версии библиотеки libvdpau.
  • Исправлена ошибка, влиявшая на производительность при перемещении окон приложений, использующих VDPAU, в некоторых композитных оконных менеджерах.
  • Добавлена неофициальная поддержка протокола GLX (например, для непрямой отрисовки) в расширении GL_ARB_pixel_buffer_object.
  • Добавлена поддержка режима стереоизображения через HDMI.
  • В экспериментальном режиме добавлена поточная оптимизация OpenGL, доступная посредством использования переменной окружения __GL_THREADED_OPTIMIZATIONS.
  • Улучшены производительность и отзывчивость приложений, использующих OpenGL и запущенных в оконном режиме в среде Unity.

Загрузить для x86

Загрузить для x86_64

>>> Подробности

★★★★★

Проверено: tazhate ()

Ждём-с ебилдов.

Исправлена ошибка, влиявшая на производительность при перемещении окон приложений, использующих VDPAU, в некоторых композитных оконных менеджерах

Это в каких?

Kindly_Cat ()

Стереоизображение добавлено для квадро кеплер и более ранних квадр.

Deleted ()

Реализованы обходные пути к двум ошибкам в плагине Adobe Flash путём специальных патчей к поставляемой в составе драйвера версии библиотеки libvdpau.

Лучше бы Adobe пинали.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от Kindly_Cat

Проявляется, например, в Kwin с включёнными эффектами при использовании того же SMPlayer'а с бекендом MPlayer2 (именно второго, не первого). X'ы начинают потреблять процессорное время как не в себя.

Честно говоря, у себя не проверял.

А вообще могу сказать, что чудесную регулировку яркости посредством xbacklight, реализованную в 310.14 сломали к чертям собачьим. Теперь она также не работает, как и в 304.60/304.64. Хотя, может, надо просто где-то подшаманить — в xorg.conf'е или ещё каких параметрах ядра, ХЗ.

А вот то, что в 310.19 сломали уход в спячку — это да, такого у меня отродясь не было. Главное, квирки pm-utils'ов отрабатывают (гаснет сеть, ещё какие-то сервисы), а ноут в спячку не уходит. Поэтому остаюсь на 310.14 — хоть и бета, но, ИМХО, отличий по фичам от 310.19 минимум и выше указанных проблем нет.

carasin ★★★★★ ()
Ответ на: комментарий от Kindly_Cat

Adobe больше не выпускает флэш под Линукс.

Выпускают в составе Chrome (вон недавно 11.5 выложили) и даже исправили этот баг, но не стали бэкпортировать исправление в 11.2.

RussianNeuroMancer ★★★★★ ()

Новая версия за номером 310.19 объявлена стабильной и является рекомендованной для повседневного использования.

При обновлении пакетный менеджер сообщил:

If your card is from the 7xxx series or earlier, install nvidia-304xx
Вот владельцы 7ххх наверное обрадовались...

vadik ★★ ()
Ответ на: комментарий от vadik

Дык недавно же была новость о том, что на базе R304 будут делать ещё одну legacy-ветку — как раз для карт < 8xxx.

carasin ★★★★★ ()
Ответ на: комментарий от carasin

Дык недавно же была новость о том, что на базе R304 будут делать ещё одну legacy-ветку — как раз для карт < 8xxx.

За новостями практически не слежу, и таким как я, сообщения пакетного менеджера иногда читать полезно. Тем кто не следит ни за новостями, ни за сообщениями пм, мое сообщение может пригодится. )

vadik ★★ ()

Это те самые дрова R310 в которых вдвое увеличена производительность? И действительно, вчера glxspheres показывало 100fps, теперь 70fps - спасибо, чо.

NSky ()
Ответ на: комментарий от vadik

Во-первых, этим картам уже >> 5 лет. Во-вторых, legacy драйвер никто не отменял.

Reset ★★★★★ ()
Ответ на: комментарий от greenman

ati удаляет поддержку более новых карт и удаляет её с концами, так как никакого legacy драйвера у них нет

Reset ★★★★★ ()
Ответ на: комментарий от Kindly_Cat

Исправлена ошибка, влиявшая на производительность при перемещении окон приложений, использующих VDPAU, в некоторых композитных оконных менеджерах
Это в каких?

У меня, кажется, такое было с Smplayer (mplayer обычный) в Ubuntu/Unity.

Ok ()
Ответ на: комментарий от Reset

Можно было написать проще — «А у вас негров линчуют».

greenman ★★★★★ ()
Ответ на: комментарий от Reset

Во-первых, этим картам уже >> 5 лет

И тем не менее они прекрасно работают и выполняют свои задачи.

Во-вторых, legacy драйвер никто не отменял.

А я и не утверждал ничего подобного.

П.С. сообщение точно мне предназначалось?

vadik ★★ ()

Мне эта новость напомнила что я хотел когда-то бету попробовать))

RPG ()
Ответ на: комментарий от vadik

И тем не менее они прекрасно работают и выполняют свои задачи.

«Москвичи», «Запорожцы», «ИЖы», «Уралы» (у кого еще остались) тоже прекрасно работают и выполняют свои задачи... Только вот есть такое понятие, как время жизни, в течение которого производитель поддерживает устройства. По истечении этого времени поддерживать экономически невыгодно, так как прибыли от них никакой, а расходы на человеко-часы для написания/тестирования/сопровождения кода драйвера стоят денег. Более того, прекращение поддержки способствует увеличению прибыли на какой-то определенный процент, так как хомяки с заторможенной реакцией побегут покупать новые видео-адаптеры.

NWhisper ()
Ответ на: комментарий от NWhisper

На этот вопрос можно глянуть и с другой стороны. Покупая видеокарту мы платим не только за само «железо», но и за видеодрайвер к нему. Поскольку видеодрайвер это ПО и причем довольно сложное, то в нем в любом случае будут ошибки. И исправляя эти ошибки (в последующих версиях драйвера) производитель просто отрабатывает те деньги, которые взял у покупателя за некачественный товар (ПО с багами). Логично?

Ну и по поводу устаревших видеокарт. Седьмая серия до сих пор продается в качестве интеграшек. Так что выходит никакая она не устаревшая.

vadik ★★ ()
Ответ на: комментарий от vadik

Нет, не правильно :) За оборудование, в состав которого входит поставляемое по лицензии ОЕМ часть (аппаратная или программная, не важно) отвечает на 100% изготовитель оборудования. Т.е. даже видеодрайвер для встроенного в ноутбук nVidia-адаптера по лицензии обязан предоставлять производитель ноутбука. Можешь зачитать лицензию ОЕМ, многое для себя откроешь ;) А по поводу видео-драйвера... Они баги честно правили, пока не кончилось время жизни оборудки :) Теперь все, баста...

NWhisper ()
Ответ на: комментарий от NWhisper

За оборудование, в состав которого входит поставляемое по лицензии ОЕМ часть (аппаратная или программная, не важно) отвечает на 100% изготовитель оборудования.

Тогда вопрос - зачем нвидия вообще выпускает драйвера, если за работоспособность видеокарт отвечает ее производитель? Пусть разные там асусы, гигабайты и прочие сами пишут дрова. Так?

Они баги честно правили, пока не кончилось время жизни оборудки :)

Процитирую сам себя

vadik

Седьмая серия до сих пор продается в качестве интеграшек.

Как так?

vadik ★★ ()
Ответ на: комментарий от Reset

ati удаляет поддержку более новых карт и удаляет её с концами, так как никакого legacy драйвера у них нет

Как это нет, когда есть.

Nxx ★★★★★ ()
Ответ на: комментарий от Reset

ati удаляет поддержку более новых карт и удаляет её с концами, так как никакого legacy драйвера у них нет

Как это нет, когда есть.

Вот уж незнаю, есть или нету, но по крайней мере старые ражеоны более менее работают на открытых дровах, у меня ранше был Radeon.

Сейчас nvidia 6xxx, когда читал новость о скором удалении, то решил потестить свободный драйвер. Любая игра использующая 3d ускорениее, у меня вызывала полное зависание X-в.

Насколько мне известно, такая хрень творится из-за того, что nvidia не открывает спеки.

Atterratio ()
Ответ на: комментарий от Atterratio

Сейчас nvidia 6xxx, когда читал новость о скором удалении, то решил потестить свободный драйвер

зачем? legacy будет поддерживаться для новых ядер/иксов еще ооочень долго

Reset ★★★★★ ()
Ответ на: комментарий от Reset

зачем? legacy будет поддерживаться для новых ядер/иксов еще ооочень долго

Насколько я помню, тогда ещё не было сообщения, о том, что 304, будет долго жить.

Во вторых следуя вашей логике, зачем вообще лиукс нужен, винда ещё должго жить будет.

Atterratio ()
Ответ на: комментарий от vadik

Ну и по поводу устаревших видеокарт. Седьмая серия до сих пор продается в качестве интеграшек.

У нашего бухгалтера бюджетный комп трёхлетней давности, так там интеграшка 8200...

cruxish ★★★★ ()
Ответ на: комментарий от Atterratio

Во вторых следуя вашей логике, зачем вообще лиукс нужен, винда ещё должго жить будет.

Больше не «следуйте логике», у вас плохо получается.

cruxish ★★★★ ()

Реализованы обходные пути к двум ошибкам в плагине Adobe Flash путём специальных патчей к поставляемой в составе драйвера версии библиотеки libvdpau.

Скажите мне, что речь о «синих рожах» на тытрубе.

BattleCoder ★★★★★ ()
Ответ на: комментарий от Deleted

А разве в GeForce его нет? На моей видяхе написано (когда покупал), что должно быть..

BattleCoder ★★★★★ ()

Для GF6xxx лучший драйвер сейчас - 295. Сырое 304 еще вылизывать и вылизывать.

dm1024 ★★★ ()
Ответ на: комментарий от BattleCoder

Вероятно, именно о них. Но дело в том, что с незапамятных времён в мейнстримовых дистрибутивах используется libvdpau, не поставляемое с драйвером nvidia, а вовсе из другого места, ибо стандарт открытый. Т.ч., вероятно, толку от этих воркэраундов будет маловато.

carasin ★★★★★ ()
Ответ на: комментарий от dm1024

R304 будет «развиваться» в качестве legacy, все новые плюшки будут реализоваться уже в новых ветках.

carasin ★★★★★ ()
Ответ на: комментарий от Deleted

хотя мне оно не нужно... вот прямо сейчас. просто непонятно, из-за чего так

BattleCoder ★★★★★ ()
Ответ на: комментарий от carasin
equery f nvidia-drivers | grep vdpau
/usr/lib/libvdpau_nvidia.so
/usr/lib/libvdpau_nvidia.so.1
/usr/lib/libvdpau_nvidia.so.304.64
/usr/share/doc/nvidia-drivers-304.64/html/vdpausupport.html
BattleCoder ★★★★★ ()
Ответ на: комментарий от carasin

новые плюшки в старых видеокартах (теоретически) и не нужны... главное чтобы дрова работали без глюков и быстро =) но такое, увы, для дров нвидиа не характерно.

BattleCoder ★★★★★ ()
Ответ на: комментарий от carasin

R304 будет «развиваться» в качестве legacy, все новые плюшки будут реализоваться уже в новых ветках.

Новых плюшек для этого железа там еще с предыдущей legacy, наверное, нет. Вот годик повылизывают, тогда и перейдем на 304, а пока 295 - самое то.

dm1024 ★★★ ()
Ответ на: комментарий от Reset

А фанаты AMD/ATi уверяют что у них даже самые древние окаменевшие карточки до сих пор поддерживаются неким фантомным драйвером со всеми самыми новыми плюшками... врут наверное ;-)

ivanlex ★★★★ ()
Ответ на: комментарий от cruxish

У нашего 8400... Но видно железки из одной весовой категории...

ivanlex ★★★★ ()
Ответ на: комментарий от BattleCoder

У меня nvidia. Ни разу не видел синих рож. Всего 2 человека мне говорили про синие рожи, но повторить сей баг я у себя не смог. Подскажите хоть как сей баг воспроизводиться?

ivanlex ★★★★ ()
Ответ на: комментарий от BattleCoder

Реализовано средствами драйвера. Поддерживается драйвером OSX и Windows Vista/7/8. Драйвер Windows XP уже не умеет. А как это включить на Linux - я и не знал никогда, пользовался средствами игр, которые это умеют, например игры на модифицированном движке IdTech3 - IoQuake3. Читал, что модифицированный движок на IdTech4 - IoDoom3 тоже будет это уметь, но пока не знаю, они хотя бы звук сначала починили...

ivanlex ★★★★ ()
Ответ на: комментарий от ivanlex

Со звуком в думе3 проблем нет, его уже давно починили.

BattleCoder ★★★★★ ()
Ответ на: комментарий от Deleted

flash 12

А где такой взять? У меня только 11.2 и выше версию я не встречал. А на 11.2 включенным аппаратным ускорением пробовал - рожи нормальные. Синих не получалось...

ivanlex ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.